[PATCH v2 5/5] unit: add checks for improper use of json_iter_parse/next